use embassy_time::{Instant, Duration};
use atat::{
    atat_derive::{AtatCmd, AtatResp, AtatUrc},
    asynch::Client,
    ResponseChannel,
    Config,
};
use embedded_io_async::Write;
use heapless::String;

#[derive(Clone, AtatResp)]
pub struct NoResponse;

#[derive(Clone, AtatCmd)]
#[at_cmd("+CGMI", ManufacturerIdText)]
pub struct GetManufacturerId;

#[derive(Clone, AtatResp)]
pub struct ManufacturerIdText {
    #[at_arg(position = 0)]
    pub text: String<32>,
}

#[derive(Clone, AtatResp)]
pub struct MessageWaitingIndication;

#[derive(Clone, AtatUrc)]
pub enum Urc {
    #[at_urc("+UMWI")]
    MessageWaitingIndication(MessageWaitingIndication),
}
